Subject: Re: 29.0.60; icomplete--in-region-setup should activate icomplete-fido-mode-map too

From: Juri Linkov <[email-masked]>
Date: Sat, 04 Mar 2023 20:52:08 +0200

> All in all, I'm not sure we should be shipping this half-baked
> enhancement for emacs-29, at least not in this phase. I propose
> we revert it in emacs-29.
>
> I propose we revert it from there, keep the changes in master,
> and focus on making it more consistent there.

The patch that I created fixed a bug where in-buffer completion
erased the whole buffer so it needs to stay in emacs-29.

Also for your convenience I pushed your patch that adds support
for in-buffer completion to fido-mode in the hope that the patch
is already in the finished state.  However, if you think that
fido-vertical mode and/or icomplete-vertical-mode needs more work
to support in-buffer completions, please decide whether to revert it
or to write an additional patch for these modes in emacs-29.